Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Frame

Frame component
Contained in: global
Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_Frame` | `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
`` | `CL_Frame` | `(`const` `CL_Rect`& `pos`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
``virtual`` | `~CL_Frame` | `()`;

### Attributes:

``bool`` | `is_fill_enabled` | `() `const``;

### Operations:

``void`` | `enable_fill` | `(`bool` `enabled` = true)`;

### private function member index:

### Implementation:

`` | `CL_Frame` | `(`const` `CL_Frame`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_Frame::CL_Frame - Frame Constructor
`` `CL_Frame` `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_Frame::CL_Frame - Frame Constructor
`` `CL_Frame` `(`const` `CL_Rect`& `pos`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_Frame::enable_fill - Enable Fill
``void`` `enable_fill` `(`bool` `enabled` = true)`;

CL_Frame::is_fill_enabled - Is fill enabled
``bool`` `is_fill_enabled` `() `const``;

CL_Frame::~CL_Frame - Frame Destructor
``virtual`` `~CL_Frame` `()`;

## Variable Member Descriptions: